#!/bin/sh
#********************************************************************************
# (c) Copyright [2019-2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates 
# and licensors (“Micro Focus”) are as may be set forth in the express warranty 
# statements accompanying such products and services. Nothing herein should be 
# construed as constituting an additional warranty. Micro Focus shall not be liable 
# for technical or editorial errors or omissions contained herein. The information 
# contained herein is subject to change without notice.
#********************************************************************************

PLATFORM=$(cat /etc/opt/novell/iprint/conf/iprintconf.properties | grep "platform" | cut -d= -f2)
ORIENTDB_SERVER_CONFIG="/usr/share/orientdb/config/orientdb-server-config.xml"
ERR_LOG="/var/opt/novell/log/iprintmobile/db_util.log"
ORIENTDB_CONFIG_LINK=""
touch $ERR_LOG
script_filename=$0

setPwd()
{
	python /opt/novell/iprintmobile/bin/config_cred.pyc $PLATFORM >> "${ERR_LOG}"
}

usage()
{
	echo "Usage:"
	echo "sh ${script_filename} <option>"
	echo "Valid options:"
	echo "--config :  Configures the db"
	echo "--repair :  Repairs the db service"
	exit 0
}

option="$1"

if [ "$option" == "--config" ]; then
	echo "Configuring db pwd" >> "${ERR_LOG}"
	setPwd
elif [ "$option" == "--repair" ]; then
	#In case of cluster it will take the nss media link 
	ORIENTDB_CONFIG_LINK=`readlink $ORIENTDB_SERVER_CONFIG`
	if [ "$ORIENTDB_CONFIG_LINK" != "" ]; then
		ORIENTDB_SERVER_CONFIG=$ORIENTDB_CONFIG_LINK
	fi
	
	echo "Repairing db" >> "${ERR_LOG}"
	systemctl stop orientdb.service >> "${ERR_LOG}"
	sed -i '/user resources/d' $ORIENTDB_SERVER_CONFIG >> "${ERR_LOG}"
	sed -i '/isAfterFirstTime/d' $ORIENTDB_SERVER_CONFIG >> "${ERR_LOG}"
	setPwd
	systemctl start orientdb.service >> "${ERR_LOG}"
	echo "Done with db repair" >> "${ERR_LOG}"
else
	usage
fi