#!/bin/sh  
#********************************************************************************
# (c) Copyright 2001-2021 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty 
# statements accompanying such products and services. Nothing herein should be 
# construed as constituting an additional warranty. Micro Focus shall not be liable
# for technical or editorial errors or omissions contained herein. The information
# contained herein is subject to change without notice.
#********************************************************************************

# Create remote renderer bundle
sh /opt/novell/iprintmobile/bin/certman_oes.sh -b

#Fix for bug Bug 1157738 - Cannot login to ipcon after upgrade from OES 2015 SP1 or OES 2018 to OES 2018 SP2
#This code will get executed when upgrading from iPrint for OES2015 SP1 and iPrint for OES2018 to OES2018 SP2 if the old database "/var/opt/novell/iprintmobile/databases" directory present.
if [ -d "/var/opt/novell/iprintmobile/databases" ]; then
	/usr/bin/systemctl stop novell-iprint-tomcat.service
	/usr/bin/sh /usr/share/orientdb/bin/config_db.sh
	/usr/bin/systemctl start novell-iprint-tomcat.service
fi

#Config DB
sh /opt/novell/iprintmobile/bin/db_util.sh --config

#Migrate iPrint cups
sh /opt/novell/iprintmobile/bin/migrate_iprint_cups.sh

#Set Permissions
sh /opt/novell/iprintmobile/bin/set_permissions.sh

#Fix CUPS lp user
sh /opt/novell/iprintmobile/bin/iprint_user_util.sh

