#!/bin/sh  
#********************************************************************************
# (c) Copyright [2017-2021] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty 
# statements accompanying such products and services. Nothing herein should be 
# construed as constituting an additional warranty. Micro Focus shall not be liable
# for technical or editorial errors or omissions contained herein. The information 
# contained herein is subject to change without notice.
#********************************************************************************
IPRINT_LICENSE="/etc/opt/novell/iprint/licenseKeys"
IPRINT_CONF="/etc/opt/novell/iprintmobile/conf/"
SETPERMISSIONS_LOG="/var/opt/novell/log/iprintmobile/setpermissions.log"
KEYVIEW_DIR="/opt/MicroFocus/keyview-converter/linux/x86-64"

#Include library
. /opt/novell/iprintmobile/bin/lib.sh

setCUPSPermission()
{
	if [ -f $IPRINT_CUPS_CONF_FILE ]; then
		chown root:lp $IPRINT_CUPS_PATH/*
		chmod 640 $IPRINT_CUPS_CONF_FILE
		chmod 640 $IPRINT_CUPSFILES_CONF_FILE
		if [ -f $IPRINT_CUPS_PATH/printers.conf ]; then
			chmod 755 $IPRINT_CUPS_PATH/ppd
			chmod 600 $IPRINT_CUPS_PATH/printers.conf*
		fi
	fi
}

setPermissions ()
{
	getent group iprintmobileusers >> ${SETPERMISSIONS_LOG} >/dev/null 2>&1 || groupadd iprintmobileusers
	usermod -G iprintmobileusers root
	usermod -G iprintmobileusers iprintmobile
		
	if [ -d ${IPRINT_CONF} ]; then
		getent group confFileOwners >> ${SETPERMISSIONS_LOG} || groupadd confFileOwners
		usermod -G confFileOwners root
		usermod -G confFileOwners iprintmobile
		chgrp confFileOwners ${IPRINT_CONF}
		chmod g+rw ${IPRINT_CONF}
		
	else
		echo "${IPRINT_CONF} not found." | tee -a ${SETPERMISSIONS_LOG} >/dev/null 2>&1
	fi	
	
	if [ -d ${KEYVIEW_DIR} ]; then
		echo "Updating keyview directory permission" | tee -a ${SETPERMISSIONS_LOG} >/dev/null 2>&1
		chgrp iprint ${KEYVIEW_DIR}
		chmod 775 ${KEYVIEW_DIR}
		
	else
		echo "${KEYVIEW_DIR} not found." | tee -a ${SETPERMISSIONS_LOG} >/dev/null 2>&1
	fi	
}
option="$1"

if [ "$option" == "cups" ]; then
	setCUPSPermission
else 
	echo "Setting Permissions" | tee -a ${SETPERMISSIONS_LOG}
	setPermissions
	echo "Done Setting Permissions" | tee -a ${SETPERMISSIONS_LOG}
fi
